/user_group

Create a new user group

Creates a new user group with the provided details.

Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
ApiKeyAuth (Authorization: Session Token)
Produces
application/json

Request

Body Parameters

NameTypeRequiredDescription
groupapp.UserGroupYesUser Group Details

Parameter Models

Inspect object parameters and nested model references without loading the full Swagger file in the browser.

groupBody parameterapp.UserGroup
actions
No description.
dashboard_tiles
No description.
id
integer
No description.
name
string
No description.
small_users
No description.
users
array<app.User>
No description.
cURL
curl -X POST 'https://<tenant>.dieagenturverwaltung.de/api/v2/user_group' \
  -H 'Accept: application/json' \
  -H 'Authorization: Session Token' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "actions": [
    {}
  ],
  "dashboard_tiles": [
    {}
  ],
  "id": 123,
  "name": "string",
  "small_users": [
    {}
  ],
  "users": [
    {}
  ]
}'
Request Body (application/json)
{
  "actions": [
    {...}
  ],
  "dashboard_tiles": [
    {...}
  ],
  "id": 123,
  "name": "string",
  "small_users": [
    {...}
  ],
  "users": [
    {...}
  ]
}

Responses

201Created
app.UserGroupapplication/json
Example
{
  "actions": [
    {...}
  ],
  "dashboard_tiles": [
    {...}
  ],
  "id": 123,
  "name": "string",
  "small_users": [
    {...}
  ],
  "users": [
    {...}
  ]
}
400Bad Request
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
500Internal Server Error
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}